package com.diagbot.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 会诊申请单
 * </p>
 *
 * @author cy
 * @time: 2024-10-09
 */
public class StrConsultationApply implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 记录编号
     */
    private String recId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病历号
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 年龄
     */
    private String age;

    /**
     * 床号
     */
    private String bedNo;

    /**
     * 科别
     */
    private String deptName;

    /**
     * 病历日期
     */
    private Date recordDate;

    /**
     * 入院日期
     */
    private Date behospitalDate;

    /**
     * 标题
     */
    private String recTitle;

    /**
     * 申请科室
     */
    private String applyDept;

    /**
     * 申请医生
     */
    private String applyDoctor;

    /**
     * 申请日期
     */
    private Date applyDate;

    /**
     * 会诊类别
     */
    private String inviteType;

    /**
     * 会诊科室
     */
    private String inviteDept;

    /**
     * 会诊医生
     */
    private String inviteDoctor;

    /**
     * 简要病情
     */
    private String briefNote;

    /**
     * 当前诊断
     */
    private String diagnosis;

    /**
     * 诊疗情况
     */
    private String treatmentSituation;

    /**
     * 会诊时间
     */
    private Date consultationDate;

    /**
     * 会诊目的
     */
    private String consultationPurpose;

    /**
     * 会诊意见
     */
    private String consultationOpinions;

    /**
     * 记录医生
     */
    private String recDoctor;

    /**
     * 记录时间
     */
    private Date recDate;

    /**
     * 审核医生
     */
    private String auditDoctor;

    /**
     * 审核时间
     */
    private Date auditDate;

    /**
     * 结构化数据
     */
    private String wholeData;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间
     */
    private Date gmtModified;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 修改人
     */
    private String modifier;

    public String getRecId() {
        return recId;
    }

    public void setRecId(String recId) {
        this.recId = recId;
    }
    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }
    public String getBehospitalCode() {
        return behospitalCode;
    }

    public void setBehospitalCode(String behospitalCode) {
        this.behospitalCode = behospitalCode;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }
    public String getAge() {
        return age;
    }

    public void setAge(String age) {
        this.age = age;
    }
    public String getBedNo() {
        return bedNo;
    }

    public void setBedNo(String bedNo) {
        this.bedNo = bedNo;
    }
    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
    public Date getRecordDate() {
        return recordDate;
    }

    public void setRecordDate(Date recordDate) {
        this.recordDate = recordDate;
    }
    public Date getBehospitalDate() {
        return behospitalDate;
    }

    public void setBehospitalDate(Date behospitalDate) {
        this.behospitalDate = behospitalDate;
    }
    public String getRecTitle() {
        return recTitle;
    }

    public void setRecTitle(String recTitle) {
        this.recTitle = recTitle;
    }
    public String getApplyDept() {
        return applyDept;
    }

    public void setApplyDept(String applyDept) {
        this.applyDept = applyDept;
    }
    public String getApplyDoctor() {
        return applyDoctor;
    }

    public void setApplyDoctor(String applyDoctor) {
        this.applyDoctor = applyDoctor;
    }
    public Date getApplyDate() {
        return applyDate;
    }

    public void setApplyDate(Date applyDate) {
        this.applyDate = applyDate;
    }
    public String getInviteType() {
        return inviteType;
    }

    public void setInviteType(String inviteType) {
        this.inviteType = inviteType;
    }
    public String getInviteDept() {
        return inviteDept;
    }

    public void setInviteDept(String inviteDept) {
        this.inviteDept = inviteDept;
    }
    public String getInviteDoctor() {
        return inviteDoctor;
    }

    public void setInviteDoctor(String inviteDoctor) {
        this.inviteDoctor = inviteDoctor;
    }
    public String getBriefNote() {
        return briefNote;
    }

    public void setBriefNote(String briefNote) {
        this.briefNote = briefNote;
    }
    public String getDiagnosis() {
        return diagnosis;
    }

    public void setDiagnosis(String diagnosis) {
        this.diagnosis = diagnosis;
    }
    public String getTreatmentSituation() {
        return treatmentSituation;
    }

    public void setTreatmentSituation(String treatmentSituation) {
        this.treatmentSituation = treatmentSituation;
    }
    public Date getConsultationDate() {
        return consultationDate;
    }

    public void setConsultationDate(Date consultationDate) {
        this.consultationDate = consultationDate;
    }
    public String getConsultationPurpose() {
        return consultationPurpose;
    }

    public void setConsultationPurpose(String consultationPurpose) {
        this.consultationPurpose = consultationPurpose;
    }
    public String getConsultationOpinions() {
        return consultationOpinions;
    }

    public void setConsultationOpinions(String consultationOpinions) {
        this.consultationOpinions = consultationOpinions;
    }
    public String getRecDoctor() {
        return recDoctor;
    }

    public void setRecDoctor(String recDoctor) {
        this.recDoctor = recDoctor;
    }
    public Date getRecDate() {
        return recDate;
    }

    public void setRecDate(Date recDate) {
        this.recDate = recDate;
    }
    public String getAuditDoctor() {
        return auditDoctor;
    }

    public void setAuditDoctor(String auditDoctor) {
        this.auditDoctor = auditDoctor;
    }
    public Date getAuditDate() {
        return auditDate;
    }

    public void setAuditDate(Date auditDate) {
        this.auditDate = auditDate;
    }
    public String getWholeData() {
        return wholeData;
    }

    public void setWholeData(String wholeData) {
        this.wholeData = wholeData;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Override
    public String toString() {
        return "StrConsultationApply{" +
            "recId=" + recId +
            ", hospitalId=" + hospitalId +
            ", behospitalCode=" + behospitalCode +
            ", name=" + name +
            ", sex=" + sex +
            ", age=" + age +
            ", bedNo=" + bedNo +
            ", deptName=" + deptName +
            ", recordDate=" + recordDate +
            ", behospitalDate=" + behospitalDate +
            ", recTitle=" + recTitle +
            ", applyDept=" + applyDept +
            ", applyDoctor=" + applyDoctor +
            ", applyDate=" + applyDate +
            ", inviteType=" + inviteType +
            ", inviteDept=" + inviteDept +
            ", inviteDoctor=" + inviteDoctor +
            ", briefNote=" + briefNote +
            ", diagnosis=" + diagnosis +
            ", treatmentSituation=" + treatmentSituation +
            ", consultationDate=" + consultationDate +
            ", consultationPurpose=" + consultationPurpose +
            ", consultationOpinions=" + consultationOpinions +
            ", recDoctor=" + recDoctor +
            ", recDate=" + recDate +
            ", auditDoctor=" + auditDoctor +
            ", auditDate=" + auditDate +
            ", wholeData=" + wholeData +
            ", remark=" + remark +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
        "}";
    }
}
